# Methods

`-growlInstallationInformation`
  Return the information to display when installing.
`-growlInstallationWindowTitle`
  Return the title of the installation window.
`-growlUpdateInformation`
  Return the information to display when upgrading.
`-growlUpdateWindowTitle`
  Return the title of the upgrade window.

### growlInstallationInformation

Return the information to display when installing.

>     - (NSAttributedString *)growlInstallationInformation;

method result
  An NSAttributedString object to display.

##### Discussion

This information may be as long or short as desired (the window will be sized to fit it). It will be displayed to the user as an explanation of what Growl is and what it can do in your application. It should probably note that no download is required to install.
If this is not implemented, Growl will use a default, localized explanation.

### growlInstallationWindowTitle

Return the title of the installation window.

>     - (NSString *)growlInstallationWindowTitle;

method result
  An NSString object to use as the title.

##### Discussion

If not implemented, Growl will use a default, localized title.

### growlUpdateInformation

Return the information to display when upgrading.

>     - (NSAttributedString *)growlUpdateInformation;

method result
  An NSAttributedString object to display.

##### Discussion

This information may be as long or short as desired (the window will be sized to fit it). It will be displayed to the user as an explanation that an updated version of Growl is included in your application and no download is required.
If this is not implemented, Growl will use a default, localized explanation.

### growlUpdateWindowTitle

Return the title of the upgrade window.

>     - (NSString *)growlUpdateWindowTitle;

method result
  An NSString object to use as the title.

##### Discussion

If not implemented, Growl will use a default, localized title.

© The Growl Project (Last Updated May 14, 2005)